package com.red.circle.other.inner.enums.material;

import java.util.Objects;

/**
 * 礼物，货币类型.
 *
 * @author pengliang on 2021/1/12
 */
public enum GiftCurrencyType {

  /**
   * 免费
   */
  FREE,

  /**
   * 金币
   */
  GOLD,

  /**
   * 钻石.
   */
  DIAMOND;

  public boolean eq(String key) {
    return Objects.equals(key, this.name());
  }

}
